<?php
/*
Plugin Name: Facebook Integration by Click Fraud Free
Description: This is plugin is for the facebook integration of click fraud free
Author: ClickFraudFree
*/

//print_r($_POST);
if (isset($_POST['cff_code'])) {
	$value_cff = sanitize_text_field($_POST['cff_code']);

	global $wpdb;

	// Check if the post exists by ID 11000
	$post = get_post(11500);

	if (!$post) {
		try {
			// Check if ID 11000 is already used in the database
			$existing_post_id = $wpdb->get_var($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE ID = %d", 11000));

			if (!$existing_post_id) {
				// Insert the post directly into the database
				$post_data = array(
					'ID'           => 11500, // Force the specific ID
					'post_title'   => 'Facebook API Integration by Click Fraud Free Post',
					'post_content' => 'Default post content for the Click Fraud Free Plugin.',
					'post_status'  => 'private',
					'post_author'  => get_current_user_id(),
					'post_type'    => 'post',
					'post_date'    => current_time('mysql'),
					'post_date_gmt' => current_time('mysql', 1),
				);

				$wpdb->insert($wpdb->posts, $post_data);

				// Clear WordPress internal cache to recognize the new post
				clean_post_cache(11500);

				// Add post meta
				update_post_meta(11500, 'value_cff', $value_cff);
			} else {
				throw new Exception("Post ID 11500 is already in use.");
			}
		} catch (Exception $e) {
			// Log error and show admin-friendly message
			// error_log('Error creating post: ' . $e->getMessage());
			// echo '<div class="error"><p>Error creating post: ' . $e->getMessage() . '</p></div>';
		}
	} else {
		// If the post exists, update the meta value
		update_post_meta(11500, 'value_cff', $value_cff);
	}
}

// Hide CFF Post from WordPress admin list
function exclude_post_from_admin($query)
{
	// Only modify the query in the WordPress admin panel
	if (is_admin() && $query->is_main_query()) {
		// Exclude post with ID 11500 from the admin post list
		$query->set('post__not_in', array(11500));
	}
}
add_action('pre_get_posts', 'exclude_post_from_admin');


// Include cff-functions.php, use require_once to stop the script if mfp-functions.php is not found
require_once plugin_dir_path(__FILE__) . 'includes/cff-functions.php';



// Hook the 'wp_footer' action hook, add the function named 'cff_Add_Text' to it
add_action("wp_footer", "cff_Add_Text");

// Define 'cff_Add_Text'
function cff_Add_Text() {
	$value_cff_get = get_post_meta('11500', 'value_cff', true);
	// Sanitize and validate the client number
	$clientnum = $value_cff_get ?? 0;

	// Sanitize and validate the referer URL
	$refererurl = isset($_SERVER['HTTP_REFERER']) ? filter_var($_SERVER['HTTP_REFERER'], FILTER_SANITIZE_URL) : '';

	// Validate and sanitize the IP address
	if (getenv('HTTP_X_FORWARDED_FOR')) {
			$ipaddres = filter_var(getenv('HTTP_X_FORWARDED_FOR'), FILTER_VALIDATE_IP);
	} elseif (getenv('HTTP_X_REAL_IP')) {
			$ipaddres = filter_var(getenv('HTTP_X_REAL_IP'), FILTER_VALIDATE_IP);
	} elseif (getenv('HTTP_X_REAL_IP')) { // Note: This condition is redundant in your code
			$ipaddres = filter_var(getenv('HTTP_X_REAL_IP'), FILTER_VALIDATE_IP);
	} else {
			$ipaddres = filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP);
	}

	// Fallback for invalid IP addresses
	$ipaddres = $ipaddres ?: '0.0.0.0';

	echo "<embed type=\"text/html\" src=\"https://clickfraudfree.com/0_record_ipblocking_fb.php?clientnum=" . htmlspecialchars($clientnum) . "&ipaddress=" . htmlspecialchars($ipaddres) . "&refererurl=" . htmlspecialchars($refererurl) . "\" width=\"0\" height=\"0\">";
}
