<?php
/*
 * Add my new menu to the Admin Control Panel
 * This plugin helps protect your Google Ads Campaigns by preventing click fraud and enhancing ad performance.
 */

// Hook the 'admin_menu' action hook, run the function named 'cff_Add_My_Admin_Link()'
add_action('admin_menu', 'cff_Add_My_Admin_Link');

// Add a new top-level menu link to the ACP
function cff_Add_My_Admin_Link()
{
	add_menu_page(
		'Facebook Integration by Click Fraud Free', // Title of the page
		'Facebook Integration by Click Fraud Free', // Text to show on the menu link
		'manage_options', // Capability requirement to see the link
		'facebook-integration-by-click-fraud-free',
		'cff_admin_page_contents'
	);
}

function cff_admin_page_contents()
{
	$value_cff_get = get_post_meta('11500', 'value_cff', true);
?>
	<div class="wrap" style="font-family: 'Poppins', sans-serif; display: flex; justify-content: center; align-items: center; height: 70vh;">
		<div style="width: 500px; background: #fff; padding: 20px; border-radius: 8px; box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2); text-align: center;">
		<img src="<?php echo plugin_dir_url(__FILE__) . 'logo.jpg'; ?>" alt="Click Fraud Free Logo" style="width: 250px; height: auto;">

			<p style="font-size: 16px; color: #555; margin-bottom: 20px; margin-top: 0px;">Protect your Facebook Ads Campaigns from fraudulent clicks, bad bots, and competitors. Maximize your ROI and secure your advertising budget.</p>
			<div class="cff-form-container">
				<form action="" method="POST">
					<div style="margin-bottom: 20px;">
						<label for="cff_code" style="display: block;font-size: 16px;margin-bottom: 8px;font-weight: 700;">Integration Code</label>
						<input id="cff_code" name="cff_code" type="text" value="<?php echo esc_attr($value_cff_get); ?>" required class="regular-text" style="width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px;">
					</div>
					<?php wp_nonce_field('cff-settings-save', 'cff-custom-message'); ?>
					<?php submit_button('Save Integration Code', 'primary', 'cff_submit', false, ['style' => 'width: 100%; padding: 10px; font-size: 16px; border-radius: 4px; font-weight: 700;']); ?>
				</form>
			</div>
			<div class="cff-info" style="margin-top: 20px; font-size: 14px; line-height: 1.6; color: #555;">
				<p>Prevent fraudulent clicks and improve your campaign's performance. Learn more about <a href="https://clickfraudfree.com/" target="_blank" style="color: #0073aa; text-decoration: none;">Click Fraud Free</a>.</p>
				<a href="https://clickfraudfree.com/sign-up" target="_blank" class="cff-button" style="display: inline-block; padding: 12px 20px; background-color: #0073aa; color: #fff; text-decoration: none; border-radius: 4px; font-weight: 600; margin-top: 10px;">Register Now</a>
			</div>
		</div>
	</div>
	<style>
		@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

		.cff-button:hover {
			background-color: #005177;
		}
	</style>
<?php
}
